package com.yushu.modules.tool.dal.mysql.codegen;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.yushu.framework.mybatis.core.mapper.BaseMapperX;
import com.yushu.modules.tool.dal.dataobject.codegen.ToolSchemaColumnDO;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

@Mapper
public interface ToolSchemaColumnMapper extends BaseMapperX<ToolSchemaColumnDO> {

    default List<ToolSchemaColumnDO> selectListByTableName(String tableSchema, String tableName) {
        return selectList(new QueryWrapper<ToolSchemaColumnDO>().eq("table_name", tableName)
                .eq("table_schema", tableSchema)
                .orderByAsc("ordinal_position"));
    }

}
